__defineBuiltinComponent('checkbox', { js: function (BuiltinComponent, wx, mmp) {
            "use strict";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

BuiltinComponent('mt-checkbox', {
  relations: {
    'mt-checkbox-group': {
      type: 'ancestor'
    },
    'mt-label': {
      type: 'ancestor'
    }
  },
  behaviors: ['wx://mt-label'],
  properties: {
    value: {
      type: String
    },
    disabled: {
      type: [Boolean, String],
      value: false
    },
    checked: {
      type: Boolean,
      value: false
    },
    color: {
      type: String,
      value: '#09BB07'
    },
    hidden: {
      type: Boolean,
      value: false
    }
  },
  render: function render(createElement, getSlots) {
    var _this$data = this.data,
        disabled = _this$data.disabled,
        color = _this$data.color,
        value = _this$data.value,
        hidden = _this$data.hidden;
    var triggerEvents = !disabled && {
      on: [{
        name: 'tap',
        host: true,
        listener: 'handleTap'
      }]
    };
    var MT_CHECKBOX = createElement('span', {
      meta: {
        'class': 'mt-checkbox',
        style: "color: ".concat(color, ";"),
        ref: "checkbox"
      },
      props: {
        disabled: disabled,
        value: value,
        hidden: hidden
      }
    });
    var slots = [MT_CHECKBOX].concat(getSlots());
    return createElement('span', {
      meta: _objectSpread({
        'class': 'mt-checkbox-wrapper'
      }, triggerEvents)
    }, slots);
  }
});
          } });