__defineBuiltinComponent('movable-view', { js: function (BuiltinComponent, wx, mmp) {
            "use strict";

BuiltinComponent('mt-movable-view', {
  relations: {
    'mt-movable-area': {
      type: 'ancestor'
    }
  },
  properties: {
    direction: {
      type: String,
      // all、vertical、horizontal、none
      value: 'none'
    },
    inertia: {
      type: Boolean,
      value: false
    },
    outOfBounds: {
      type: Boolean,
      value: false
    },
    x: {
      type: Number
    },
    y: {
      type: Number
    },
    damping: {
      type: Number,
      value: 20
    },
    friction: {
      type: Number,
      value: 2
    },
    disabled: {
      type: Boolean,
      value: false
    },
    scale: {
      type: Boolean,
      value: false
    },
    scaleMin: {
      type: Number,
      value: 0.5
    },
    scaleMax: {
      type: Number,
      value: 10
    },
    scaleValue: {
      type: Number,
      value: 1
    },
    animation: {
      type: Boolean,
      value: true
    }
  },
  render: function render(h, getSlot) {
    return getSlot();
  }
});
          } });