__defineBuiltinComponent('slider', { js: function (BuiltinComponent, wx, mmp) {
            /**
 * hancong05@meituan.com
 */

/* eslint-disable */
"use strict";

BuiltinComponent('mt-slider', {
  relations: {
    'mt-form': {
      type: 'ancestor'
    }
  },
  behaviors: ['wx://mt-form'],
  properties: {
    min: {
      type: [Number, String],
      value: 0
    },
    max: {
      type: [Number, String],
      value: 100
    },
    step: {
      type: [Number, String],
      value: 1
    },
    disabled: {
      type: [Boolean, String],
      value: false
    },
    value: {
      type: [Number, String],
      value: 0
    },
    blockSize: {
      type: [Number, String],
      value: 28
    },
    showValue: {
      type: [Boolean, String],
      value: false
    },
    activeColor: {
      type: String,
      value: '#29A12C'
    },
    backgroundColor: {
      type: String,
      value: '#e9e9e9'
    },
    blockColor: {
      type: String,
      value: '#ffffff'
    }
  },
  render: function render(creEle, getSlots) {
    var _this$data = this.data,
        backgroundColor = _this$data.backgroundColor,
        activeColor = _this$data.activeColor,
        blockColor = _this$data.blockColor,
        showValue = _this$data.showValue,
        value = _this$data.value;
    var progress = creEle('div', {
      meta: {
        ref: 'progress',
        style: "background-color: ".concat(backgroundColor),
        'class': 'mt-slider-progress'
      }
    });
    var selectedProgress = creEle('div', {
      meta: {
        ref: 'selectedProgress',
        style: "background-color: ".concat(activeColor),
        'class': 'mt-slider-progress-selected'
      }
    });
    var bar = creEle('div', {
      meta: {
        ref: 'bar',
        'class': 'mt-slider-bar',
        style: "background-color: ".concat(blockColor)
      }
    });
    var text = showValue && creEle('span', {
      meta: {
        ref: 'text',
        'class': 'mt-slider-value'
      }
    });
    var slots = [progress, selectedProgress, bar];
    if (text) slots.push(text);
    return creEle('div', {
      meta: {
        'class': 'mt-slider-wrapper',
        on: [{
          name: "tap",
          host: true,
          listener: "handleTap"
        }]
      }
    }, slots);
  }
});
          } });