__defineBuiltinComponent('switch', { js: function (BuiltinComponent, wx, mmp) {
            "use strict";

BuiltinComponent('mt-switch', {
  relations: {
    'mt-form': {
      type: 'ancestor'
    },
    'mt-label': {
      type: 'ancestor'
    }
  },
  behaviors: ['wx://mt-form', 'wx://mt-label'],
  properties: {
    name: {
      type: String,
      value: ''
    },
    checked: {
      type: Boolean,
      value: false
    },
    type: {
      type: String,
      value: 'switch'
    },
    color: {
      type: String,
      value: '#04BE02'
    },
    disabled: {
      type: Boolean,
      value: false
    }
  },
  render: function render(h) {
    var color = this.data.value ? this.data.color : '#DFDFDF';
    return [h('input', {
      meta: {
        ref: 'input',
        class: 'weui-switch',
        on: [{
          name: 'change',
          host: true,
          listener: 'onChange'
        }],
        style: "border-color: ".concat(color, "; background-color: ").concat(color, ";")
      },
      props: {
        type: 'checkbox',
        checked: this.data.checked,
        disabled: this.data.disabled
      }
    })];
  }
});
          } });